/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.auto.tagger.model;

import com.liferay.petra.sql.dsl.Column;
import com.liferay.petra.sql.dsl.base.BaseTable;

import java.sql.Types;

import java.util.Date;

/**
 * The table class for the &quot;AssetAutoTaggerEntry&quot; database table.
 *
 * @author Brian Wing Shun Chan
 * @see AssetAutoTaggerEntry
 * @generated
 */
public class AssetAutoTaggerEntryTable
	extends BaseTable<AssetAutoTaggerEntryTable> {

	public static final AssetAutoTaggerEntryTable INSTANCE =
		new AssetAutoTaggerEntryTable();

	public final Column<AssetAutoTaggerEntryTable, Long> mvccVersion =
		createColumn(
			"mvccVersion", Long.class, Types.BIGINT, Column.FLAG_NULLITY);
	public final Column<AssetAutoTaggerEntryTable, Long> ctCollectionId =
		createColumn(
			"ctCollectionId", Long.class, Types.BIGINT, Column.FLAG_PRIMARY);
	public final Column<AssetAutoTaggerEntryTable, Long>
		assetAutoTaggerEntryId = createColumn(
			"assetAutoTaggerEntryId", Long.class, Types.BIGINT,
			Column.FLAG_PRIMARY);
	public final Column<AssetAutoTaggerEntryTable, Long> groupId = createColumn(
		"groupId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<AssetAutoTaggerEntryTable, Long> companyId =
		createColumn(
			"companyId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<AssetAutoTaggerEntryTable, Date> createDate =
		createColumn(
			"createDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<AssetAutoTaggerEntryTable, Date> modifiedDate =
		createColumn(
			"modifiedDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<AssetAutoTaggerEntryTable, Long> assetEntryId =
		createColumn(
			"assetEntryId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<AssetAutoTaggerEntryTable, Long> assetTagId =
		createColumn(
			"assetTagId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);

	private AssetAutoTaggerEntryTable() {
		super("AssetAutoTaggerEntry", AssetAutoTaggerEntryTable::new);
	}

}